<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:28:39 CEST 2020 -->
<title>U-Index</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/utils/FileNamesUtil.html#UML_EXT">UML_EXT</a></span> - Static variable in class org.polarsys.chess.service.core.utils.<a href="../org/polarsys/chess/service/core/utils/FileNamesUtil.html" title="class in org.polarsys.chess.service.core.utils">FileNamesUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model"><span class="typeNameLink">UMLStateMachineModel</span></a> - Class in <a href="../org/polarsys/chess/service/core/model/package-summary.html">org.polarsys.chess.service.core.model</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html#UMLStateMachineModel--">UMLStateMachineModel()</a></span> - Constructor for class org.polarsys.chess.service.core.model.<a href="../org/polarsys/chess/service/core/model/UMLStateMachineModel.html" title="class in org.polarsys.chess.service.core.model">UMLStateMachineModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/service/CHESSService.html#unload--">unload()</a></span> - Method in class org.polarsys.chess.service.internal.service.<a href="../org/polarsys/chess/service/internal/service/CHESSService.html" title="class in org.polarsys.chess.service.internal.service">CHESSService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/CurrentViewStatusCommand.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.<a href="../org/polarsys/chess/service/internal/commands/CurrentViewStatusCommand.html" title="class in org.polarsys.chess.service.internal.commands">CurrentViewStatusCommand</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/SupersuserToggleCommand.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.<a href="../org/polarsys/chess/service/internal/commands/SupersuserToggleCommand.html" title="class in org.polarsys.chess.service.internal.commands">SupersuserToggleCommand</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToDependabilityCommand.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.switchers.<a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToDependabilityCommand.html" title="class in org.polarsys.chess.service.internal.commands.switchers">SwitchToDependabilityCommand</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToExtraFunctionalCommand.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.switchers.<a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToExtraFunctionalCommand.html" title="class in org.polarsys.chess.service.internal.commands.switchers">SwitchToExtraFunctionalCommand</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToRailwayCommand.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.switchers.<a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToRailwayCommand.html" title="class in org.polarsys.chess.service.internal.commands.switchers">SwitchToRailwayCommand</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToView.html#updateElement-org.eclipse.ui.menus.UIElement-java.util.Map-">updateElement(UIElement, Map)</a></span> - Method in class org.polarsys.chess.service.internal.commands.switchers.<a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchToView.html" title="class in org.polarsys.chess.service.internal.commands.switchers">SwitchToView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchSourceProvider.html#updateStatus-org.eclipse.ui.IEditorPart-">updateStatus(IEditorPart)</a></span> - Method in class org.polarsys.chess.service.internal.commands.switchers.<a href="../org/polarsys/chess/service/internal/commands/switchers/SwitchSourceProvider.html" title="class in org.polarsys.chess.service.internal.commands.switchers">SwitchSourceProvider</a></dt>
<dd>
<div class="block">Updates the variables used to guide the menu/toolbar population:
 - Variable SWITCH (org.polarsys.chess.service.commands.switchState) is used for the change View toggle buttons
 - Variable DOMAIN (org.polarsys.chess.service.commands.domain) is used for identifying AVIONICS models to visualize IMA commands</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
